Chart-0.16: A library for generating 2D Charts and Plots

Safe Haskell | None

Graphics.Rendering.Chart.Plot.Annotation

Description

Show textual annotations on a chart.

Synopsis

- data PlotAnnotation x y = PlotAnnotation {
  - plot_annotation_hanchor_ :: HTextAnchor
  - plot_annotation_vanchor_ :: VTextAnchor
  - plot_annotation_angle_ :: Double
  - plot_annotation_style_ :: CairoFontStyle
  - plot_annotation_values_ :: [(x, y, String)]
  }
- defaultPlotAnnotation :: PlotAnnotation x y
- plot_annotation_hanchor :: forall x y. T (PlotAnnotation x y) HTextAnchor
- plot_annotation_vanchor :: forall x y. T (PlotAnnotation x y) VTextAnchor
- plot_annotation_angle :: forall x y. T (PlotAnnotation x y) Double
- plot_annotation_style :: forall x y. T (PlotAnnotation x y) CairoFontStyle
- plot_annotation_values :: forall x y. T (PlotAnnotation x y) [(x, y, String)]

# Documentation

data PlotAnnotation x y Source

Value for describing a series of text annotations to be placed at arbitrary points on the graph. Annotations can be rotated and styled. Rotation angle is given in degrees, rotation is performend around the anchor point.

Constructors

PlotAnnotation |

Fields

plot_annotation_hanchor_ :: HTextAnchor
plot_annotation_vanchor_ :: VTextAnchor
plot_annotation_angle_ :: Double
plot_annotation_style_ :: CairoFontStyle
plot_annotation_values_ :: [(x, y, String)]

Instances

ToPlot PlotAnnotation |

defaultPlotAnnotation :: PlotAnnotation x ySource

plot_annotation_hanchor :: forall x y. T (PlotAnnotation x y) HTextAnchor Source

plot_annotation_vanchor :: forall x y. T (PlotAnnotation x y) VTextAnchor Source

plot_annotation_angle :: forall x y. T (PlotAnnotation x y) Double Source

plot_annotation_style :: forall x y. T (PlotAnnotation x y) CairoFontStyle Source

plot_annotation_values :: forall x y. T (PlotAnnotation x y) [(x, y, String)]Source